<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/bdd/conectar.php');


$peticion='SGAPreparar#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#FINPREPARACION#'.$_SESSION['almacen'].';'.$_SESSION['orden']['Empresa'].';'.$_SESSION['orden']['OrdenPreparacion'];

$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}

$valores=explode('#',$resultado[0]['Error']);

if($valores[0]==0 && $_SESSION['SGAEspecialAcrylicos']=='S' && $mysqlServidor) {
	
	$temp=$conexionBdd->prepare("UPDATE ".$mysqlPrefix."Preparacion SET Cerrada=now() WHERE NOrden=? AND Abierta>'0000-00-00' AND Cerrada='0000-00-00' AND Usuario=?");
	$temp->execute(array($_SESSION['orden']['OrdenPreparacion'],$_SESSION['usuario']['Usuario']));
	
}
else echo $resultado[0]['Error'];

unset($_SESSION['modoslecturaOPs'][ $_SESSION['orden']['OrdenPreparacion'] ]);


include($rutaPhp.$rutaHtml.'/bdd/desconectar.php');

?>